import { Connection } from '@salesforce/core';
import { DeployResult, MetadataComponent } from '../../types';
import { ToolingCreateResult } from '../../utils/deploy';
export declare abstract class BaseDeploy {
    connection: Connection;
    component: MetadataComponent;
    constructor(connection: Connection);
    abstract deploy(component: MetadataComponent): Promise<DeployResult>;
    buildMetadataField(metadataContent: string): {
        label?: string;
        packageVersions?: string;
        status?: string;
        apiVersion: string;
    };
    protected toolingCreate(type: string, record: object): Promise<ToolingCreateResult>;
}
