import { SourcePath } from '../types';
export declare function ensureDirectoryExists(filePath: string): void;
/**
 * Method to save multiple files on disk
 * @param fileMap key = filePath, value = file contents
 */
export declare function createFiles(fileMap: Map<string, string>): void;
export declare function isDirectory(fsPath: SourcePath): boolean;
/**
 * Walk a given directory path and collect the files
 * @param dir Directory to walk
 * @param ignore Optional paths to ignore
 */
export declare function walk(dir: SourcePath, ignore?: Set<SourcePath>): SourcePath[];
